# Change the Stripe subscription price

Generates a new preview of the price that Stripe will charge the customer if they create a new subscription for the specified plan.
Note: This method does not create any entities in Stripe and does not result in any payments being made.

Endpoint: POST /zephr/payment/stripe/subscriptions/{externalId}/change-previews
Version: 2026-06-12
Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie

## Path parameters:

  - `externalId` (string, required)

## Request fields (application/json):

  - `plan_id` (string)

## Response 200 fields (application/json):

  - `total` (number)
    The total amount the user will be initially charged for the subscription in the relevant currency's lowest denomination (e.g. pence), i.e. for a monthly subscription, the first month's cost.
    Example: 5000

  - `sub_total` (number)
    The total amount minus tax for the initial charge in the relevant currency's lowest denomination (e.g. pence).
    Example: 4500


## Response 400 fields
